Platform

Platform

Publieke health-check en context van je API-key (environment, actor, scopes).

API-status controleren

GET /v1/ping

Publiek. Geen Bearer nodig

Authorization: None
Geen authenticatie vereist.
Request body

Geen

Response
data object
pong boolean
Example: true
surface string
Enum
extern
Example: extern
version string
Example: v1
meta object[]

Examples

GET /v1/ping
curl -X GET "https://api.appficient.nl/v1/ping" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

API-verbinding testen

POST /v1/ping

Zelfde response als GET. Publiek

Authorization: None
Geen authenticatie vereist.
Request body

Geen

Response
data object
pong boolean
Example: true
surface string
Enum
extern
Example: extern
version string
Example: v1
meta object[]

Examples

POST /v1/ping
curl -X POST "https://api.appficient.nl/v1/ping" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

API-sleutelgegevens ophalen

GET /v1/me

Authenticated, geen scope vereist. Geeft surface, actor (type + label) en granted scopes terug

Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body

Geen

Response
data object
surface string
Enum
extern
Example: extern
actor object
type string
Enum
api_key user link subscription_token none
Example: api_key
label string
Example: Integratie
scopes string[]
meta object[]

Examples

GET /v1/me
curl -X GET "https://api.appficient.nl/v1/me" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.